#########################################################################
##  ROMER.R
##  
##  Bruce E. Hansen
##  Department of Economics
##  Social Science Building
##  University of Wisconsin
##  Madison, WI 53706-1393
##  behansen@wisc.edu
##  http://www.ssc.wisc.edu/~bhansen/
##  
##  This R program replicates Table 2 from Hansen,
##  Journal of Policy Modeling, 1992.
##  
#########################################################################


source ("lc.R")

x <- as.matrix(read.table("romer.dat"))  
t1 <- x[1]
t2 <- x[2]
x <- as.matrix(x[4:nrow(x)]-x[3:(nrow(x)-1)])
xt <- as.matrix(seq((t1+1),t2,1))

x1 <- as.matrix(x[((xt<=1987)*(xt>=1889))>0])
x2 <- as.matrix(x[((xt<=1929)*(xt>=1889))>0])
x3 <- as.matrix(x[((xt<=1947)*(xt>=1930))>0])
x4 <- as.matrix(x[((xt<=1987)*(xt>=1948))>0])
n1 <- nrow(x1)
n2 <- nrow(x2)
n3 <- nrow(x3)
n4 <- nrow(x4)
dat1 <- cbind(x1[2:n1],matrix(1,n1-1,1),x1[1:(n1-1)])
dat2 <- cbind(x2[2:n2],matrix(1,n2-1,1),x2[1:(n2-1)])
dat3 <- cbind(x3[2:n3],matrix(1,n3-1,1),x3[1:(n3-1)])
dat4 <- cbind(x4[2:n4],matrix(1,n4-1,1),x4[1:(n4-1)])

datnames <- rbind("DY","Constant","DY(-1)")

for (main in 1:1){
cat ("Sample: 1889 to 1987","\n")
out <- lc(dat1,datnames)

cat ("Sample: 1889 to 1929","\n")
out <- lc(dat2,datnames)

cat ("Sample: 1930 to 1947","\n")
out <- lc(dat3,datnames)

cat ("Sample: 1948 to 1987","\n")
out <- lc(dat4,datnames)
}

